Bug 120338 - FILEOPEN DOCX The paragraph formatting changes are not undone / freeze LO
Summary: FILEOPEN DOCX The paragraph formatting changes are not undone / freeze LO
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: medium normal
Assignee: Henry Castro
URL:
Whiteboard: target:6.3.0 target:6.2.5 target:6.4.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Track-Changes DOCX-Track-Changes
  Show dependency treegraph
 
Reported: 2018-10-05 09:55 UTC by Gabor Kelemen
Modified: 2019-07-06 19:35 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word with a paragraph formatting change. (20.13 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-10-05 09:55 UTC, Gabor Kelemen
Details
Screenshot of the problem in Writer. (step 8) (165.23 KB, image/png)
2018-10-05 09:55 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2018-10-05 09:55:27 UTC
Created attachment 145407 [details]
Example file from Word with a paragraph formatting change.

The paragraph formatting changes are not undone, when we open a track changed DOCX document in Writer.

Steps to reproduce:

1.	Create a new document in Word 2010.
2.	Type text.
3.	Enable track changes with Review->Track Changes.
4.	Change the paragraph formatting (Home->Paragraph group).
5.	Save the file as DOCX.
6.	Open the same file in Writer.
7.	Reject the paragraph formatting change in Manage Changes window (Reject or Reject All).
Actual results:
The paragraph formatting change is not undone and the item isn’t deleted from the list.
8.	Reject the paragraph formatting change with Edit ->Track Changes->Reject All.
Actual results:
LibreOffice doesn’t answer.

Expected results:
The paragraph formatting changes should be undone.

LibreOffice details:
Verzió: 6.1.0.3
Build az.: efb621ed25068d70781dc026f7e9c5187a4decd1
CPU szálak: 4; OS: Windows 6.3; Felületmegjelenítés: alapértelmezett; 
Területi beállítások: hu-HU (hu_HU); Calc: group threaded

Happens on current master too:
Version: 6.2.0.0.alpha0+
Build ID: 75a48e37b260c145297261d0e0ab5720894404f1
CPU threads: 4; OS: Windows 6.3; UI render: GL; 
Locale: hu-HU (hu_HU); Calc: CL
Comment 1 Gabor Kelemen 2018-10-05 09:55:58 UTC
Created attachment 145408 [details]
Screenshot of the problem in Writer. (step 8)
Comment 2 Gabor Kelemen 2018-10-05 12:35:58 UTC
Bibisected with bibisect-win32-6.0: 

$ git bisect log
# bad: [bc1845d882e52469a4583747881a465749177829] source sha:c30963b8b4bbbe42a24b97aafa161eff9d7ccdd4
# good: [cc5c4c7ed1d8d01b0063bcaaeb5f6d59282c8029] source sha:9feb7f7039a3b59974cbf266922177e961a52dd1
git bisect start 'origin/master' 'oldest'
# good: [611b687719dc875499fd14d50e699b7ce871b941] source sha:2cd664b3d618e6085be8b44ee86eada6cd5f8789
git bisect good 611b687719dc875499fd14d50e699b7ce871b941
# good: [3d50ca0e4e00109fa4799c8bb6c0093ec33c58ba] source sha:0c364fa7d507ae41bf04d36464f8942d154e49c0
git bisect good 3d50ca0e4e00109fa4799c8bb6c0093ec33c58ba
# bad: [2678a952310db3696fc39c4763455b12843429fb] source sha:a27f26228c8311b3b01ecca81d6cdcd3ceb644e1
git bisect bad 2678a952310db3696fc39c4763455b12843429fb
# bad: [6f94faac21b6f3988c9a4b22aa5ef090a3a4f1ae] source sha:b73c66597884f03443ee8888cb6c204b78bb6cda
git bisect bad 6f94faac21b6f3988c9a4b22aa5ef090a3a4f1ae
# good: [b3014bb832ec89aaf3256433aeeed78080729675] source sha:0d50804e1c0c0ea2a5cd73fa3fa2a9ff0a0e7048
git bisect good b3014bb832ec89aaf3256433aeeed78080729675
# bad: [efcd5fd7720f9771d20b634df314dc10010bb19c] source sha:899d7139355b8bea4bc1e6f9c05dededdb6f2c39
git bisect bad efcd5fd7720f9771d20b634df314dc10010bb19c
# good: [6da362e0441edd8e9f25b699d58d52436c77bf68] source sha:2168080905e9dbdc6100a34399a39b1a2df1975f
git bisect good 6da362e0441edd8e9f25b699d58d52436c77bf68
# bad: [904ae908279a1ac4215e90c8b03464f9a9d7e8ef] source sha:174e881caa720770699857cf09e30d0d1be4a89e
git bisect bad 904ae908279a1ac4215e90c8b03464f9a9d7e8ef
# good: [855bbe83f40113b888167750ed6c9b168be726a5] source sha:1ad3f06427fc6c9da106666768fdf5b16a7bfc6b
git bisect good 855bbe83f40113b888167750ed6c9b168be726a5
# bad: [42a7fcb47e24a405d4d169b88c194faf225539ac] source sha:03033ae8abcb774fa58273eebac93dbfecab641d
git bisect bad 42a7fcb47e24a405d4d169b88c194faf225539ac
# good: [8064703b97140313bc29c01b0429daf816d6fa21] source sha:a6ee721868f444049bf9af59e2cf43ae10502fa8
git bisect good 8064703b97140313bc29c01b0429daf816d6fa21
# bad: [ede06ff904111e570dc21d924d4dd0b51742270d] source sha:b273aa535cdddd1f10d13551d5330149d3404c3a
git bisect bad ede06ff904111e570dc21d924d4dd0b51742270d
# bad: [0a1bc44727cfa3b16fc0ed9c6c9494849b6551b2] source sha:2db44bd017daac8f668393bca24911e95125857a
git bisect bad 0a1bc44727cfa3b16fc0ed9c6c9494849b6551b2
# first bad commit: [0a1bc44727cfa3b16fc0ed9c6c9494849b6551b2] source sha:2db44bd017daac8f668393bca24911e95125857a

https://cgit.freedesktop.org/libreoffice/core/commit/?id=2db44bd017daac8f668393bca24911e95125857a
Comment 3 Xisco Faulí 2018-10-08 14:28:46 UTC
Adding Cc: to Henry Castro
Comment 4 Gabor Kelemen 2019-03-24 23:04:23 UTC
Even with the recent work done on bug #124162 (crash on Accept all), choosing Reject all on the example file still puts Writer in an endless loop.

Version: 6.3.0.0.alpha0+
Build ID: c18179cf80516f1eca9629a0a8b888e0ca67a020
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: hu-HU (hu_HU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Henry Castro 2019-03-27 18:58:10 UTC
Hi,

Thanks for report, unfortunately reject paragraph formatting is not implemented yet (will ask co-worker if he has plans to implement it), but I fixed the endless loop that was a side effect to "Reject All" command

https://gerrit.libreoffice.org/#/c/69865/

Regards
Henry
Comment 6 Commit Notification 2019-03-28 12:16:38 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c033d8e5a662eec3c1104b70f33cf0795c8c211c%5E%21

tdf#120338: The paragraph formatting changes are not undone, part 1

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-05-16 10:26:46 UTC
Endless loop verified in

Version: 6.3.0.0.alpha1+
Build ID: f897342320ad3a29cf4be1437c8e3ce888bdb3cb
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Henry Castro, thanks for fixing this!!

Cherry-picked to libreOffice 6.2 branch -> https://gerrit.libreoffice.org/#/c/72404/
Comment 8 Commit Notification 2019-05-16 13:27:23 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/2f184d792f5af4a97e4f0c07b0bad19a4c3e9589%5E%21

tdf#120338: The paragraph formatting changes are not undone, part 1

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-07-05 08:09:36 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/05526a206cc8a273771b2e6aae1fd3c4092cbf03%5E%21

tdf#120338 DOCX: add rejection of paragraph formatting changes

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-07-06 19:35:18 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b86b87eb34c686c67ae86c6f635e5218a5654898%5E%21

tdf#120338 DOCX: reject other paragraph formatting changes

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.